Operator (Occurrence Data Management 2.0.0-3.1.1 API)
Date: 2014-06-04

org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter

## Class Operator

- java.lang.Object
- - org.gcube.portlets.user.occurrencemanagement.shared.statisticalparameter.Operator

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable

      public class Operator
      extends Object
      implements com.google.gwt.user.client.rpc.IsSerializable

  Author:
    ceras

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operator()`
    `Operator(String id, String briefDescription, String description, OperatorCategory category)`
    `Operator(String id, String briefDescription, String description, OperatorCategory category, boolean hasImage)`
    `Operator(String id, String briefDescription, String description, OperatorCategory category, List<Parameter> operatorParameters)`
    `Operator(String id, String name, String briefDescription, String description, OperatorCategory category)`
    `Operator(String id, String name, String briefDescription, String description, OperatorCategory category, List<Parameter> operatorParameters)`
    `Operator(String id, String name, String briefDescription, String description, OperatorCategory category, List<Parameter> operatorParameters, boolean hasImage)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOperatorParameter(Parameter operatorParameter)`
    `Operator` | `clone()`
    `String` | `getBriefDescription()`
    `OperatorCategory` | `getCategory()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `List<Parameter>` | `getOperatorParameters()`
    `boolean` | `hasImage()`
    `void` | `setBriefDescription(String briefDescription)`
    `void` | `setCategory(OperatorCategory category)`
    `void` | `setDescription(String description)`
    `void` | `setHasImage(boolean hasImage)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `void` | `setOperatorParameters(List<Parameter> operatorParameters)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operator

          public Operator()

    - #### Operator

          public Operator(String id,
                  String briefDescription,
                  String description,
                  OperatorCategory category)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -
        `category` -

    - #### Operator

          public Operator(String id,
                  String briefDescription,
                  String description,
                  OperatorCategory category,
                  boolean hasImage)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -
        `category` -
        `hasImage` -

    - #### Operator

          public Operator(String id,
                  String name,
                  String briefDescription,
                  String description,
                  OperatorCategory category)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -
        `category` -

    - #### Operator

          public Operator(String id,
                  String briefDescription,
                  String description,
                  OperatorCategory category,
                  List<Parameter> operatorParameters)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -
        `category` -
        `operatorParameters` -

    - #### Operator

          public Operator(String id,
                  String name,
                  String briefDescription,
                  String description,
                  OperatorCategory category,
                  List<Parameter> operatorParameters)

      Parameters:
        `id` -
        `briefDescription` -
        `description` -
        `category` -
        `operatorParameters` -

    - #### Operator

          public Operator(String id,
                  String name,
                  String briefDescription,
                  String description,
                  OperatorCategory category,
                  List<Parameter> operatorParameters,
                  boolean hasImage)

      Parameters:
        `id` -
        `name` -
        `briefDescription` -
        `description` -
        `category` -
        `operatorParameters` -
        `hasImage` -

  - ### Method Detail

    - #### getId

          public String getId()

      Returns:
        the id

    - #### setId

          public void setId(String id)

      Parameters:
        `id` - the id to set

    - #### getBriefDescription

          public String getBriefDescription()

      Returns:
        the briefDescription

    - #### setBriefDescription

          public void setBriefDescription(String briefDescription)

      Parameters:
        `briefDescription` - the briefDescription to set

    - #### getDescription

          public String getDescription()

      Returns:
        the description

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - the description to set

    - #### getCategory

          public OperatorCategory getCategory()

      Returns:
        the category

    - #### setCategory

          public void setCategory(OperatorCategory category)

      Parameters:
        `category` - the category to set

    - #### getOperatorParameters

          public List<Parameter> getOperatorParameters()

      Returns:
        the operatorParameters

    - #### setOperatorParameters

          public void setOperatorParameters(List<Parameter> operatorParameters)

      Parameters:
        `operatorParameters` - the operatorParameters to set

    - #### addOperatorParameter

          public void addOperatorParameter(Parameter operatorParameter)

    - #### setName

          public void setName(String name)

      Parameters:
        `name` - the name to set

    - #### getName

          public String getName()

      Returns:
        the name

    - #### hasImage

          public boolean hasImage()

    - #### setHasImage

          public void setHasImage(boolean hasImage)

      Parameters:
        `hasImage` - the hasImage to set

    - #### clone

          public Operator clone()

      Overrides:
        `clone` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.